Subject: [bess] Document shepherd's review of draft-ietf-bess-evpn-na-flags-03

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Wed, 26 Jun 2019 16:46:27 +0000

Authors

I am the document shepherd for this draft. Please see below for my comments. Please treat these as you would any other WG last call comments.

Best regards

Matthew

General:
Why do you say the EVPN ARP/ND Extended Community is optional? Don’t you always use it if you comply to the procedures in the draft? Also, I am not clear why in section 3 you say the PE will follow the procedures (which I interpret as a MUST), but there are no MUSTs in e.g. 3a.

Please clarify in the draft.

Please also check the capitalization of RFC2119 keywords throughout. For example, there are a few instances where a 'may' should be a 'MAY'

Abstract and 1. Introduction
This document proposes an OPTIONAL extended community that is
   advertised ...

Change to 'this document defines an extended community..."

Section 1.1 Terminology and Conventions:
"Address Resolution Protocol (ARP) Requests or Neighbor Discovery (ND) - or Neighbor Solicitation (NS) - messages are replied locally by the PE,"
This text seems to mix up Neighbor Discovery (the process) with Neighbor Solicitation (the message). I would suggest deleting Neighbor Discovery from this sentence.

1. Use of the EVPN ARP/ND Extended Community

A PE may learn the IPv6->MAC pair and its associated ND Flags in the management plane or snooping Neighbor Advertisement messages coming from the CE.

s/management plane or snooping Neighbor/management plane or by snooping Neighbor